# -*- coding: utf-8; indent-tabs-mode: t; tab-width: 4 -*-

from gettext import gettext as _
from glogic import const
from glogic.Components import SystemComponents, Standard, FlipFlop, ViewState, Misc

comp_dict = {
	const.component_none:    SystemComponents.DummyComponent(),
	const.component_net:     SystemComponents.DummyComponent(),
	const.component_OSC:     SystemComponents.OSC(),
	const.component_probe:   SystemComponents.Probe(),
	const.component_VDD:     Standard.VDD(),
	const.component_GND:     Standard.GND(),
	const.component_SW:      Standard.SW(),
	const.component_NOT:     Standard.NOT(),
	const.component_AND:     Standard.AND(),
	const.component_OR:      Standard.OR(),
	const.component_XOR:     Standard.XOR(),
	const.component_NAND:    Standard.NAND(),
	const.component_NOR:     Standard.NOR(),
	const.component_RSFF:    FlipFlop.RSFF(),
	const.component_JKFF:    FlipFlop.JKFF(),
	const.component_DFF:     FlipFlop.DFF(),
	const.component_TFF:     FlipFlop.TFF(),
	const.component_counter: FlipFlop.Counter(),
	const.component_7seg:    ViewState.SevenSegment(),
	const.component_LED:     ViewState.LED(),
	const.component_text:    Misc.Text()
}

