# -*- coding: utf-8; indent-tabs-mode: t; tab-width: 4 -*-

from gi.repository import Pango, PangoCairo

def cairo_paths(cr, *points):
	cr.move_to(points[0][0], points[0][1])
	for p in points[1:]:
		cr.line_to(p[0], p[1])

def cairo_bezier(cr, *points):
	cr.move_to(points[0], points[1])
	cr.curve_to(points[2], points[3], points[4], points[5], points[6], points[7])

def cairo_draw_text(cr, layout, text, x, y, xalign=0.0, yalign=0.0):
	cr.translate(x, y)
	layout.set_text(text, -1)
	(w, h) = layout.get_size()
	cr.translate(-w / Pango.SCALE * xalign, -h / Pango.SCALE * yalign)
	PangoCairo.update_layout(cr, layout)
	PangoCairo.show_layout(cr, layout)
	cr.translate(w / Pango.SCALE * xalign, h / Pango.SCALE * yalign)
	cr.translate(-x, -y)

def encode_text(text):
	t_text = ""
	for c in text:
		if c == "\\":
			t_text += "\\\\"
		elif c == ",":
			t_text += "\\c"
		elif c == "=":
			t_text += "\\e"
		elif c == ":":
			t_text += "\\s"
		else:
			t_text += c
	return t_text

def decode_text(text):
	t_text = ""
	esc = False
	for c in text:
		if esc:
			if c == "\\":
				t_text += "\\"
			elif c == "c":
				t_text += ","
			elif c == "e":
				t_text += "="
			elif c == "s":
				t_text += ":"
			esc = False
		elif c == "\\":
			esc = True
		else:
			t_text += c
	return t_text
